%define kdeprefix /usr
%define version 1.1.1pre2
%define kderelease 1
%define sourcedir stable/1.1/distribution/tar/generic/source

%define qtver  qt >= 1.42

%define rhsupport kdesupport-redhat-1.1.1
%define omit  --without-libjpeg --without-libgif --without-libgdbm 
%define extrareq libungif libjpeg >= 6b-5 gdbm rpm >= 2.5
%define kdename kdesupport
Name: %{kdename}
Summary: K Desktop Environment - Support Libraries
Version: %{version}
Release: %{kderelease}
Serial: 1
#Source: ftp://ftp.kde.org:/pub/kde/{sourcedir}/%{kdename}-%{version}.tar.gz
Source: %{kdename}-%{version}.tar.gz
Source1: %{rhsupport}.tar.gz
Group: System Environment/Libraries
Copyright: GPL/LGPL
BuildRoot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} %{extrareq}
Prereq: /sbin/ldconfig
Distribution: KDE
Prefix: %{kdeprefix}

%description
Support Libraries for the K Desktop Environment, but not part of it.

Libraries included: QwSpriteField, js (javascript), uulib, mimelib, rdb;
depending on the Red Hat release, libraries gdbm jpeg and gif are either
also included, or the versions supplied by Red Hat are required.

This package also provides extra KDE support for Red Hat Linux: a
script "usekde" that users can run to set up KDE as their default
desktop (which is also done automatically when a new user is created),
and scripts for activating the KDE X Display Manager "kdm" to replace
"xdm".

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdesupport-%{version}

# extra scripts for redhat
%setup -q -n kdesupport-%{version} -T -D -a 1

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check %{omit}
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
export KDEDIR=%{kdeprefix}
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
chmod a+x $RPM_BUILD_ROOT%{kdeprefix}/lib/*

# edit the redhat scripts to use %{kdeprefix}
cd $RPM_BUILD_DIR/kdesupport-%{version}/scripts
for file in * ; do
    if [ -f $file ] ; then
	sed -e "s.@KDEPREFIX@.%{kdeprefix}.g" $file > ../$file
    fi
done
cd ..

# install the redhat post-installation scripts 
install -d $RPM_BUILD_ROOT%{kdeprefix}/bin
install -m 0755 $RPM_BUILD_DIR/kdesupport-%{version}/usekde \
	$RPM_BUILD_ROOT%{kdeprefix}/bin
install -m 0755 $RPM_BUILD_DIR/kdesupport-%{version}/kdesetup \
	$RPM_BUILD_ROOT%{kdeprefix}/bin

# install the default user configuration files
mv etc/skel/kde etc/skel/.kde
cp -a $RPM_BUILD_DIR/kdesupport-%{version}/share/config \
	etc/skel/.kde/share
cp -a  $RPM_BUILD_DIR/kdesupport-%{version}/etc $RPM_BUILD_ROOT
# we ignore the share stuff, for now

#install initialization scripts.
install -d $RPM_BUILD_ROOT/etc/profile.d
install -m 0755 $RPM_BUILD_DIR/kdesupport-%{version}/kde.sh \
	$RPM_BUILD_ROOT/etc/profile.d/kde.sh
install -m 0755 $RPM_BUILD_DIR/kdesupport-%{version}/kde.csh \
	$RPM_BUILD_ROOT/etc/profile.d/kde.csh

# Generating the filelist  (files in %{kdename})
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}


%post
if [ -f /etc/ld.so.conf ]; then
	grep -q '%{kdeprefix}/lib' /etc/ld.so.conf || \
	echo "%{kdeprefix}/lib" >> /etc/ld.so.conf
else
	echo "%{kdeprefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
	if ! [ -d %{kdeprefix}/lib ] ; then
	mv /etc/ld.so.conf /etc/ld.so.conf.orig
	grep -v '^%{kdeprefix}/lib$' /etc/ld.so.conf.orig > /etc/ld.so.conf
	rm /etc/ld.so.conf.orig
	/sbin/ldconfig
	fi
fi

%files -f ../file.list.%{kdename}

%changelog
* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- updated some of the default configuration information
- made the printer icon use klpq not lpr

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- stop warning message at installation time if ld.so.conf nonexistent

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fixed substitution of KDEPREFIX in shell scripts

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- snapshot from stable tree, improvements

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.
- removed installation of /etc/skel/.Xclients.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to KDE 1.1 final.

* Tue Jan 05 1998 Preston Brown <pbrown@redhat.com>
- again, integrated changes from Duncan Haldane











